// polinomio.cpp - Implementación de la clase CTermino
//
#include <iostream>                                                                    
#include <cmath>           
#include "termino.h" // clase CTermino
using namespace std;

/////////////////////////////////////////////////////////////////
// Constructor
CTermino::CTermino(float coef, int exp) :
Coeficiente(coef), Exponente(exp) {}

void CTermino::AsignarCoeficiente(float coef)
{
  Coeficiente = coef;
}
 
float CTermino::ObtenerCoeficiente()
{
  return Coeficiente;
}
 
void CTermino::AsignarExponente(int exp)
{
  Exponente = exp;
}

int CTermino::ObtenerExponente()
{
  return Exponente;
}

// Visualizar un término
void CTermino::VisualizarTermino()
{
  cout << ((Coeficiente < 0) ? " - " : " + ")
       << fabs(Coeficiente);
  if (Exponente) cout << "x^" << Exponente;
}
/////////////////////////////////////////////////////////////////

